Skip to main content

Update a command plan

PUT 

/api/v1/GennixCommandPlan/:commandPlanId

Updates the command plan and its command sets, commands and result actions to match the body. The plan's platform must be a custom platform created from a base platform.

Permission required: Administrator role or application role. The session must have completed multifactor authentication.

Caution: Command sets, commands and result actions that are in the saved plan but missing from the body are deleted.

Request​

Responses​

The plan was updated. The response body is the updated command plan.